script.Parent.B.Transparency = 1
script.Parent.C.Transparency = 1

while game.Workspace.Glass.Fly.Value == true do

	while script.Parent.A.Transparency < 1 do
		script.Parent.A.Transparency = script.Parent.A.Transparency + 0.1
		script.Parent.B.Transparency = script.Parent.B.Transparency - 0.1
		wait(0.025)
	end

	wait(0.5)

	while script.Parent.B.Transparency < 1 do
		script.Parent.B.Transparency = script.Parent.B.Transparency + 0.1
		script.Parent.C.Transparency = script.Parent.C.Transparency - 0.1
		wait(0.025)
	end

	wait(0.5)

	while script.Parent.C.Transparency < 1 do
		script.Parent.C.Transparency = script.Parent.C.Transparency + 0.1
		script.Parent.A.Transparency = script.Parent.A.Transparency - 0.1
		wait(0.025)
	end

	wait(0.5)
end